// Fast SRTP AES encrypt/decrypt.
// Written by Nils Liaaen Corneliusen 2016.
// Please refer to the article at https://www.ignorantus.com/pages/srtp_aes_revisited/ for more information.
#ifndef SRTPCRYPTH
#define SRTPCRYPTH

#include <stdint.h>
#include <openssl/aes.h>

void srtp_crypt( const uint32_t *src, uint32_t *dst, int len, const AES_KEY *aeskey, const uint32_t *iv );

#endif
